Package org.eclipse.net4j.util.security

## Interface ICredentialsProvider

- All Known Subinterfaces:
    `ICredentialsProvider2`, `IPasswordCredentialsProvider`, `IPasswordCredentialsProvider2`
  All Known Implementing Classes:
    `InteractiveCredentialsProvider`, `PasswordCredentialsProvider`, `PasswordCredentialsProvider.Delegating`

      public interface ICredentialsProvider

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ICredentials` | `getCredentials()` |
    `boolean` | `isInteractive()` |

- - ### Method Detail

    - #### isInteractive

          boolean isInteractive()

    - #### getCredentials

          ICredentials getCredentials()